<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RNormalizationScriptInfo StructType
 * @subpackage Structs
 */
class RNormalizationScriptInfo extends AbstractStructBase
{
    /**
     * The parameterName
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $parameterName;
    /**
     * The parameterValue
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $parameterValue;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RNormalizationScriptInfo
     * @uses RNormalizationScriptInfo::setParameterName()
     * @uses RNormalizationScriptInfo::setParameterValue()
     * @uses RNormalizationScriptInfo::setUuid()
     * @param string $parameterName
     * @param string $parameterValue
     * @param string $uuid
     */
    public function __construct($parameterName = null, $parameterValue = null, $uuid = null)
    {
        $this
            ->setParameterName($parameterName)
            ->setParameterValue($parameterValue)
            ->setUuid($uuid);
    }
    /**
     * Get parameterName value
     * @return string|null
     */
    public function getParameterName()
    {
        return $this->parameterName;
    }
    /**
     * Set parameterName value
     * @param string $parameterName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RNormalizationScriptInfo
     */
    public function setParameterName($parameterName = null)
    {
        $this->parameterName = $parameterName;
        return $this;
    }
    /**
     * Get parameterValue value
     * @return string|null
     */
    public function getParameterValue()
    {
        return $this->parameterValue;
    }
    /**
     * Set parameterValue value
     * @param string $parameterValue
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RNormalizationScriptInfo
     */
    public function setParameterValue($parameterValue = null)
    {
        $this->parameterValue = $parameterValue;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RNormalizationScriptInfo
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
